Package org.eclipse.graphiti.pattern.mapping.data

# Class TextDataMapping

java.lang.Object
org.eclipse.graphiti.pattern.mapping.MappingProviderProvider
org.eclipse.graphiti.pattern.mapping.data.DataMapping
org.eclipse.graphiti.pattern.mapping.data.TextDataMapping

All Implemented Interfaces:
  `IDataMapping`, `ITextDataMapping`

Direct Known Subclasses:
  `LabelDataMapping`

public abstract class TextDataMapping extends DataMapping implements ITextDataMapping
The Class TextDataMapping.

## Constructor Summary

Constructors
Constructor
Description
`TextDataMapping(IMappingProvider mappingProvider)`
Creates a new `TextDataMapping`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getText(PictogramLink link)`
Gets the text.

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.data.DataMapping

`getBusinessObject, getUpdateWarning`

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

`getMappingProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.data.IDataMapping

`getUpdateWarning`

## Constructor Details

### TextDataMapping

public TextDataMapping(IMappingProvider mappingProvider)
Creates a new `TextDataMapping`.

Parameters:
  `mappingProvider` - the mapping provider

## Method Details

### getText

public String getText(PictogramLink link)
Description copied from interface: `ITextDataMapping`
Gets the text.

Specified by:
  `getText` in interface `ITextDataMapping`
Parameters:
  `link` - the pictogram link
Returns:
  the text